public static interface JCacheEndpointBuilderFactory.JCacheBuilders
| Modifier and Type | Method and Description |
|---|---|
default JCacheEndpointBuilderFactory.JCacheEndpointBuilder |
jcache(String path)
JCache (camel-jcache)
Perform caching operations against JSR107/JCache.
|
default JCacheEndpointBuilderFactory.JCacheEndpointBuilder |
jcache(String componentName,
String path)
JCache (camel-jcache)
Perform caching operations against JSR107/JCache.
|
default JCacheEndpointBuilderFactory.JCacheEndpointBuilder jcache(String path)
jcache:cacheName
Path parameter: cacheName (required)
The name of the cachepath - cacheNamedefault JCacheEndpointBuilderFactory.JCacheEndpointBuilder jcache(String componentName, String path)
jcache:cacheName
Path parameter: cacheName (required)
The name of the cachecomponentName - to use a custom component name for the endpoint
instead of the default namepath - cacheNameApache Camel